Package org.snpeff.collections

# Class MultivalueHashMap<K,V>

java.lang.Object
java.util.AbstractMap<K,LinkedList<V>>
java.util.HashMap<K,LinkedList<V>>
org.snpeff.collections.MultivalueHashMap<K,V>

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Map<K,LinkedList<V>>`

public class MultivalueHashMap<K,V> extends HashMap<K,LinkedList<V>>
A Hash that can hold multiple values for each key

Author:
  pcingola
See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

## Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K,V>`

## Constructor Summary

Constructors
Constructor
Description
`MultivalueHashMap()`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(K key, Collection<V> values)`
Add multiple values
`void`
`add(K key, V value)`
Add a single value
`List<V>`
`getOrCreate(K key)`
Get a list of values (or create it if not available)

### Methods inherited from class java.util.HashMap

`clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, newHashMap, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

### Methods inherited from class java.util.AbstractMap

`equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`equals, hashCode`

## Constructor Details

### MultivalueHashMap

public MultivalueHashMap()

## Method Details

### add

public void add(K key, Collection<V> values)
Add multiple values

### add

public void add(K key, V value)
Add a single value

### getOrCreate

public List<V> getOrCreate(K key)
Get a list of values (or create it if not available)